Bug 911835 - kernel 3.18.1-1-desktop freezes with 965GM Intel integrated graphics in Tumbleweed
kernel 3.18.1-1-desktop freezes with 965GM Intel integrated graphics in Tumbl...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
201412*
x86-64 openSUSE 13.2
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-06 13:05 UTC by Bruno Pesavento
Modified: 2015-04-22 11:49 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
System journal log (abridged) (89.72 KB, text/plain)
2015-01-06 13:05 UTC, Bruno Pesavento
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Pesavento 2015-01-06 13:05:33 UTC
Created attachment 618726 [details]
System journal log (abridged)

In Tumbleweed kernel 3.18.1-1-desktop freezes with 965GM Intel integrated graphics.
The problem occurs at random time, often during boot or a few minutes after login. When the boot process goes far enough, logs show:

gen 02 10:25:49 linux.site kernel: WARNING: CPU: 1 PID: 0 at ../drivers/gpu/drm/i915/intel_display.c:9916 intel_check_page_flip+0xbb/0xd0 [i915]()
gen 02 10:25:49 linux.site kernel: Kicking stuck page flip: queued at 205, now 206

(see the end of the attached file fail_3.18_abridged.txt for more details).
This seems to be the problem reported upstream in bug https://bugzilla.kernel.org/show_bug.cgi?id=88381 that has apparently been fixed there.

Reproducible: Always, although at random times

Steps to Reproduce:
1. Fresh install of Tumbleweed snaphot 20141230 on Core2Duo system with 965GM integrated graphics, 
2. update kernel to 3.18.1-1-desktop
3. boot

Actual Results:  
The boot process stalls at random times, or the system freezes a few minutes after login.
Only way out cycling the power switch.

Expected Results:  
Normal boot and no freeze after login.

FYI
Similar problems have apparently been reported upstream with 830 or 945 graphic chips.
Kernel 3.18.0 from OpenSUSE:Kernel repo had the same problem in OS 13.2
Kernels 3.17.4 had different issues (see bug904097 ) but didn't freeze on boot.
Kernel 3.16.7-7 runs smoothly on this system.

Let me know if you need more details or more testing.
Comment 1 Takashi Iwai 2015-01-06 16:49:21 UTC
I backported the relevant fix to stable and openSUSE-13.2 git branches.  Try the package in OBS Kernel:stable later (and check the rpm changelog whether the fix is already included).

Feel free to reopen if the problem is still present with the fix.  In that case, you'd better to report to the bugzilla.kernel.org entry, too.
Comment 2 Bruno Pesavento 2015-01-09 15:18:33 UTC
Confirming FIXED with Kernel:stable 3.18.1-2.g161f750-desktop and 965GM graphics.
Comment 3 Swamp Workflow Management 2015-04-13 12:12:39 UTC
openSUSE-SU-2015:0713-1: An update that solves 13 vulnerabilities and has 52 fixes is now available.

Category: security (important)
Bug References: 867199,893428,895797,900811,901925,903589,903640,904899,905681,907039,907818,907988,908582,908588,908589,908592,908593,908594,908596,908598,908603,908604,908605,908606,908608,908610,908612,909077,909078,909477,909634,910150,910322,910440,911311,911325,911326,911356,911438,911578,911835,912061,912202,912429,912705,913059,913466,913695,914175,915425,915454,915456,915577,915858,916608,917830,917839,918954,918970,919463,920581,920604,921313,922542,922944
CVE References: CVE-2014-8134,CVE-2014-8160,CVE-2014-8559,CVE-2014-9419,CVE-2014-9420,CVE-2014-9428,CVE-2014-9529,CVE-2014-9584,CVE-2014-9585,CVE-2015-0777,CVE-2015-1421,CVE-2015-1593,CVE-2015-2150
Sources used:
openSUSE 13.2 (src):    bbswitch-0.8-3.6.6, cloop-2.639-14.6.6, crash-7.0.8-6.6, hdjmod-1.28-18.7.6, ipset-6.23-6.6, kernel-docs-3.16.7-13.2, kernel-obs-build-3.16.7-13.7, kernel-obs-qa-3.16.7-13.1, kernel-obs-qa-xen-3.16.7-13.1, kernel-source-3.16.7-13.1, kernel-syms-3.16.7-13.1, pcfclock-0.44-260.6.2, vhba-kmp-20140629-2.6.2, virtualbox-4.3.20-10.2, xen-4.4.1_08-12.2, xtables-addons-2.6-6.2